Bug 1325861 - [RFE] [Neutron] [LBaaS v2] Loadbalancers should be rescheduled when a LBaaS agent goes offline
Summary: [RFE] [Neutron] [LBaaS v2] Loadbalancers should be rescheduled when a LBaaS a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron-lbaas
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: Nir Magnezi
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On:
Blocks: 1046780 1273812 1415829 1421546
TreeView+ depends on / blocked
 
Reported: 2016-04-11 11:25 UTC by Nir Magnezi
Modified: 2019-07-11 09:56 UTC (History)
15 users (show)

Fixed In Version: openstack-neutron-lbaas-10.0.0-0.20170127182708.3a7bbbc.el7ost
Doc Type: Enhancement
Doc Text:
This enhancement adds the ability to automatically reschedule load balancers from LBaaS agents that the server detects as dead. Previously, load balancers could be scheduled and realized across multiple LBaaS agents, however if a hypervisor died, the load balancers scheduled to that node would cease operation. With this update, these load balancers will be automatically rescheduled to a different agent. This feature is disabled by default and managed using `allow_automatic_lbaas_agent_failover`.
Clone Of:
: 1415829 (view as bug list)
Environment:
Last Closed: 2017-05-17 19:28:05 UTC


Attachments (Terms of Use)
Verification Steps (9.75 KB, text/plain)
2017-02-15 13:34 UTC, Nir Magnezi
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 299998 None None None 2016-04-11 11:26:43 UTC
OpenStack gerrit 315074 None None None 2016-06-05 12:45:59 UTC
Launchpad 1565511 None None None 2016-04-11 11:25:42 UTC

Description Nir Magnezi 2016-04-11 11:25:43 UTC
Description of problem:
=======================
Currently, when a LBaaS agent goes offline the loadbalancers remain under that agent.
In a similar logic to 'allow_automatic_l3agent_failover', the neutron server should reschedule loadbalancers from dead lbaas agents.

this should be enabled with an option as well, such as: allow_automatic_lbaas_agent_failover

Comment 12 Nir Magnezi 2017-02-15 13:34:51 UTC
Created attachment 1250611 [details]
Verification Steps

attached step-by-step verification steps.

Comment 14 errata-xmlrpc 2017-05-17 19:28:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.